/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { BaseElement } from "./BaseElement";
import { WCNativeHelper } from "./WCNativeHelper";
import { enumGetBox, markType } from "igniteui-react-core";
import { StepType_$type } from "./StepType";
import { StepDirection_$type } from "./StepDirection";
/**
 * @hidden
 */
var Step = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(Step, _super);
    function Step() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.a = new WCNativeHelper();
        _this.h = null;
        return _this;
    }
    Object.defineProperty(Step.prototype, "b", {
        get: function () {
            return this.a;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Step.prototype, "nativeElement", {
        get: function () {
            return this.h;
        },
        set: function (a) {
            this.h = a;
            this.a.o = this.h;
        },
        enumerable: false,
        configurable: true
    });
    Step.prototype.setNativeElement = function (a) {
        this.nativeElement = a;
    };
    Object.defineProperty(Step.prototype, "f", {
        get: function () {
            var ret_ = this.b.n("invalid");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.b.v("invalid", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Step.prototype, "c", {
        get: function () {
            var ret_ = this.b.n("active");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.b.v("active", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Step.prototype, "g", {
        get: function () {
            var ret_ = this.b.n("optional");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.b.v("optional", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Step.prototype, "e", {
        get: function () {
            var ret_ = this.b.n("disabled");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.b.v("disabled", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Step.prototype, "d", {
        get: function () {
            var ret_ = this.b.n("complete");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.b.v("complete", value_);
        },
        enumerable: false,
        configurable: true
    });
    Step.prototype.k = function (a, b) {
        this.nativeElement.toggleAnimation(this.b.i(enumGetBox(StepType_$type, a)), this.b.i(enumGetBox(StepDirection_$type, b)));
    };
    Step.$t = markType(Step, 'Step', BaseElement.$);
    return Step;
}(BaseElement));
export { Step };
