import { IgrSelectItem } from "./igr-select-item";
import { SelectItemComponentEventArgs as SelectItemComponentEventArgs_internal } from "./SelectItemComponentEventArgs";
var IgrSelectItemComponentEventArgs = /** @class */ /*@__PURE__*/ (function () {
    function IgrSelectItemComponentEventArgs() {
        this.mounted = false;
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    IgrSelectItemComponentEventArgs.prototype.createImplementation = function () {
        return new SelectItemComponentEventArgs_internal();
    };
    Object.defineProperty(IgrSelectItemComponentEventArgs.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgrSelectItemComponentEventArgs.prototype.onImplementationCreated = function () {
    };
    IgrSelectItemComponentEventArgs.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    };
    Object.defineProperty(IgrSelectItemComponentEventArgs.prototype, "detail", {
        get: function () {
            var r = this.i.a;
            if (r == null) {
                return null;
            }
            if (!r.externalObject) {
                var e = new IgrSelectItem({});
                if (r.$type) {
                    e._implementation = r;
                }
                else {
                    if (e.i.setNativeElement) {
                        e.i.setNativeElement(r);
                    }
                }
                r.externalObject = e;
            }
            return r.externalObject;
        },
        set: function (v) {
            v == null ? this.i.a = null : this.i.a = v.i;
        },
        enumerable: false,
        configurable: true
    });
    return IgrSelectItemComponentEventArgs;
}());
export { IgrSelectItemComponentEventArgs };
