import { BaseElement } from "./BaseElement";
import { WCNativeHelper } from "./WCNativeHelper";
import { Type } from "igniteui-react-core";
import { TreeSelection } from "./TreeSelection";
import { SizableComponentSize } from "./SizableComponentSize";
import { TreeSelectionChangeEventArgs } from "./TreeSelectionChangeEventArgs";
import { TreeItemComponentEventArgs } from "./TreeItemComponentEventArgs";
import { TreeItem } from "./TreeItem";
/**
 * @hidden
 */
export declare class Tree extends BaseElement {
    static $t: Type;
    private i;
    protected get j(): WCNativeHelper;
    private m;
    protected get nativeElement(): any;
    protected set nativeElement(a: any);
    setNativeElement(a: any): void;
    get k(): boolean;
    set k(a: boolean);
    get l(): boolean;
    set l(a: boolean);
    get g(): TreeSelection;
    set g(a: TreeSelection);
    get a(): SizableComponentSize;
    set a(a: SizableComponentSize);
    selectionChanged: (sender: any, args: TreeSelectionChangeEventArgs) => void;
    selectionChangedChanged(): void;
    itemExpanding: (sender: any, args: TreeItemComponentEventArgs) => void;
    itemExpandingChanged(): void;
    itemExpanded: (sender: any, args: TreeItemComponentEventArgs) => void;
    itemExpandedChanged(): void;
    itemCollapsing: (sender: any, args: TreeItemComponentEventArgs) => void;
    itemCollapsingChanged(): void;
    itemCollapsed: (sender: any, args: TreeItemComponentEventArgs) => void;
    itemCollapsedChanged(): void;
    activeItem: (sender: any, args: TreeItemComponentEventArgs) => void;
    activeItemChanged(): void;
    p(): void;
    q(a: TreeItem): void;
}
