import { IgrDockManagerPane } from "./igr-dock-manager-pane";
import { IgrContentPaneCollection } from "./igr-content-pane-collection";
import { IgrPaneDragAction } from "./igr-pane-drag-action";
import { PaneDragOverEventArgsDetail as PaneDragOverEventArgsDetail_internal } from "./PaneDragOverEventArgsDetail";
import { ContentChildrenManager } from "igniteui-react-core";
export declare class IgrPaneDragOverEventArgsDetail {
    protected createImplementation(): PaneDragOverEventArgsDetail_internal;
    protected _implementation: any;
    protected mounted: boolean;
    /**
     * @hidden
     */
    get i(): PaneDragOverEventArgsDetail_internal;
    protected onImplementationCreated(): void;
    protected _contentChildrenManager: ContentChildrenManager;
    constructor();
    protected _provideImplementation(i: any): void;
    /**
     * Gets the source pane that triggers the drag over.
    */
    get sourcePane(): IgrDockManagerPane;
    set sourcePane(v: IgrDockManagerPane);
    private _panes;
    /**
     * Gets the panes that are dragged over.
    */
    get panes(): IgrContentPaneCollection;
    set panes(v: IgrContentPaneCollection);
    /**
     * Gets information about the action being performed.
    */
    get action(): IgrPaneDragAction;
    set action(v: IgrPaneDragAction);
    /**
     * Gets/sets whether the action is valid.
    */
    get isValid(): boolean;
    set isValid(v: boolean);
    findByName(name: string): any;
    setNativeElement(element: any): void;
}
