import { IgrDockManagerPane } from "./igr-dock-manager-pane";
import { IgrContentPaneCollection } from "./igr-content-pane-collection";
import { PaneDragStartEventArgsDetail as PaneDragStartEventArgsDetail_internal } from "./PaneDragStartEventArgsDetail";
import { ContentChildrenManager } from "igniteui-react-core";
export declare class IgrPaneDragStartEventArgsDetail {
    protected createImplementation(): PaneDragStartEventArgsDetail_internal;
    protected _implementation: any;
    protected mounted: boolean;
    /**
     * @hidden
     */
    get i(): PaneDragStartEventArgsDetail_internal;
    protected onImplementationCreated(): void;
    protected _contentChildrenManager: ContentChildrenManager;
    constructor();
    protected _provideImplementation(i: any): void;
    /**
     * Gets the source pane that triggers the drag start.
    */
    get sourcePane(): IgrDockManagerPane;
    set sourcePane(v: IgrDockManagerPane);
    private _panes;
    /**
     * Gets the panes that are about to get dragged.
    */
    get panes(): IgrContentPaneCollection;
    set panes(v: IgrContentPaneCollection);
    findByName(name: string): any;
    setNativeElement(element: any): void;
}
