import * as React from 'react';
import { IgrBaseOptionLike, IIgrBaseOptionLikeProps } from "./igr-base-option-like";
import { SelectItem } from "./SelectItem";
/**
 * Represents an item in a select list.
*/
export declare class IgrSelectItem extends IgrBaseOptionLike<IIgrSelectItemProps> {
    protected createImplementation(): SelectItem;
    /**
                                 * @hidden
                                 */
    get i(): SelectItem;
    constructor(props: IIgrSelectItemProps);
    componentDidMount(): void;
    render(): React.DOMElement<any, Element>;
    protected _elRef: HTMLElement;
    protected _getMainRef(ref: any): void;
}
export interface IIgrSelectItemProps extends IIgrBaseOptionLikeProps {
}
