/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { BaseElement } from "./BaseElement";
import { WCNativeHelper } from "./WCNativeHelper";
import { enumGetBox, EnumUtil, markType } from "igniteui-react-core";
import { SizableComponentSize_$type } from "./SizableComponentSize";
import { NumberEventArgs } from "./NumberEventArgs";
/**
 * @hidden
 */
export let Rating = /*@__PURE__*/ (() => {
    class Rating extends BaseElement {
        constructor() {
            super(...arguments);
            this.e = new WCNativeHelper();
            this.q = null;
            this.change = null;
            this.hover = null;
        }
        get f() {
            return this.e;
        }
        get nativeElement() {
            return this.q;
        }
        set nativeElement(a) {
            this.q = a;
            this.e.o = this.q;
        }
        setNativeElement(a) {
            this.nativeElement = a;
        }
        get n() {
            let ret_ = this.f.n("max");
            return ret_;
        }
        set n(a) {
            let value_ = a;
            this.f.v("max", value_);
        }
        get o() {
            let ret_ = this.f.n("step");
            return ret_;
        }
        set o(a) {
            let value_ = a;
            this.f.v("step", value_);
        }
        get s() {
            let ret_ = this.f.n("label");
            return ret_;
        }
        set s(a) {
            let value_ = a;
            this.f.v("label", value_);
        }
        get u() {
            let ret_ = this.f.n("valueFormat");
            return ret_;
        }
        set u(a) {
            let value_ = a;
            this.f.v("valueFormat", value_);
        }
        get p() {
            let ret_ = this.f.n("value");
            return ret_;
        }
        set p(a) {
            let value_ = a;
            this.f.v("value", value_);
        }
        get i() {
            let ret_ = this.f.n("hoverPreview");
            return ret_;
        }
        set i(a) {
            let value_ = a;
            this.f.v("hoverPreview", value_);
        }
        get l() {
            let ret_ = this.f.n("readOnly");
            return ret_;
        }
        set l(a) {
            let value_ = a;
            this.f.v("readOnly", value_);
        }
        get k() {
            let ret_ = this.f.n("readonly");
            return ret_;
        }
        set k(a) {
            let value_ = a;
            this.f.v("readonly", value_);
        }
        get m() {
            let ret_ = this.f.n("single");
            return ret_;
        }
        set m(a) {
            let value_ = a;
            this.f.v("single", value_);
        }
        get g() {
            let ret_ = this.f.n("allowReset");
            return ret_;
        }
        set g(a) {
            let value_ = a;
            this.f.v("allowReset", value_);
        }
        get d() {
            let ret_ = this.f.n("size");
            if ((ret_ === undefined && this.___rawMode)) {
                return undefined;
            }
            ret_ = enumGetBox(SizableComponentSize_$type, EnumUtil.getEnumValue(SizableComponentSize_$type, this.f.f(SizableComponentSize_$type, ret_)));
            return EnumUtil.getEnumValue(SizableComponentSize_$type, ret_);
        }
        set d(a) {
            let value_ = enumGetBox(SizableComponentSize_$type, a);
            value_ = WCNativeHelper.camel(value_.toString());
            this.f.v("size", value_);
        }
        get h() {
            let ret_ = this.f.n("disabled");
            return ret_;
        }
        set h(a) {
            let value_ = a;
            this.f.v("disabled", value_);
        }
        get t() {
            let ret_ = this.f.n("name");
            return ret_;
        }
        set t(a) {
            let value_ = a;
            this.f.v("name", value_);
        }
        get j() {
            let ret_ = this.f.n("invalid");
            return ret_;
        }
        set j(a) {
            let value_ = a;
            this.f.v("invalid", value_);
        }
        changeChanged() {
            if (this.change != null) {
                this.f.r("change", (a) => this.change(this, NumberEventArgs.a(a)));
            }
            else {
                this.f.u("change");
            }
        }
        hoverChanged() {
            if (this.hover != null) {
                this.f.r("hover", (a) => this.hover(this, NumberEventArgs.a(a)));
            }
            else {
                this.f.u("hover");
            }
        }
        ac(a = -1) {
            this.nativeElement.stepUp(this.f.i(a));
        }
        ab(a = -1) {
            this.nativeElement.stepDown(this.f.i(a));
        }
        y() {
            this.nativeElement.reportValidity();
        }
        w() {
            this.nativeElement.checkValidity();
        }
        z(a) {
            this.nativeElement.setCustomValidity(this.f.i(a));
        }
    }
    Rating.$t = /*@__PURE__*/ markType(Rating, 'Rating', BaseElement.$);
    Rating.__marshalByValueIgnore = ["readonly"];
    return Rating;
})();
