/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { BaseElement } from "./BaseElement";
import { WCNativeHelper } from "./WCNativeHelper";
import { enumGetBox, EnumUtil, markType } from "igniteui-react-core";
import { SizableComponentSize_$type } from "./SizableComponentSize";
import { NumberEventArgs } from "./NumberEventArgs";
/**
 * @hidden
 */
var Rating = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(Rating, _super);
    function Rating() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.e = new WCNativeHelper();
        _this.q = null;
        _this.change = null;
        _this.hover = null;
        return _this;
    }
    Object.defineProperty(Rating.prototype, "f", {
        get: function () {
            return this.e;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Rating.prototype, "nativeElement", {
        get: function () {
            return this.q;
        },
        set: function (a) {
            this.q = a;
            this.e.o = this.q;
        },
        enumerable: false,
        configurable: true
    });
    Rating.prototype.setNativeElement = function (a) {
        this.nativeElement = a;
    };
    Object.defineProperty(Rating.prototype, "n", {
        get: function () {
            var ret_ = this.f.n("max");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.f.v("max", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Rating.prototype, "o", {
        get: function () {
            var ret_ = this.f.n("step");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.f.v("step", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Rating.prototype, "s", {
        get: function () {
            var ret_ = this.f.n("label");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.f.v("label", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Rating.prototype, "u", {
        get: function () {
            var ret_ = this.f.n("valueFormat");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.f.v("valueFormat", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Rating.prototype, "p", {
        get: function () {
            var ret_ = this.f.n("value");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.f.v("value", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Rating.prototype, "i", {
        get: function () {
            var ret_ = this.f.n("hoverPreview");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.f.v("hoverPreview", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Rating.prototype, "l", {
        get: function () {
            var ret_ = this.f.n("readOnly");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.f.v("readOnly", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Rating.prototype, "k", {
        get: function () {
            var ret_ = this.f.n("readonly");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.f.v("readonly", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Rating.prototype, "m", {
        get: function () {
            var ret_ = this.f.n("single");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.f.v("single", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Rating.prototype, "g", {
        get: function () {
            var ret_ = this.f.n("allowReset");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.f.v("allowReset", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Rating.prototype, "d", {
        get: function () {
            var ret_ = this.f.n("size");
            if ((ret_ === undefined && this.___rawMode)) {
                return undefined;
            }
            ret_ = enumGetBox(SizableComponentSize_$type, EnumUtil.getEnumValue(SizableComponentSize_$type, this.f.f(SizableComponentSize_$type, ret_)));
            return EnumUtil.getEnumValue(SizableComponentSize_$type, ret_);
        },
        set: function (a) {
            var value_ = enumGetBox(SizableComponentSize_$type, a);
            value_ = WCNativeHelper.camel(value_.toString());
            this.f.v("size", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Rating.prototype, "h", {
        get: function () {
            var ret_ = this.f.n("disabled");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.f.v("disabled", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Rating.prototype, "t", {
        get: function () {
            var ret_ = this.f.n("name");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.f.v("name", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Rating.prototype, "j", {
        get: function () {
            var ret_ = this.f.n("invalid");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.f.v("invalid", value_);
        },
        enumerable: false,
        configurable: true
    });
    Rating.prototype.changeChanged = function () {
        var _this = this;
        if (this.change != null) {
            this.f.r("change", function (a) { return _this.change(_this, NumberEventArgs.a(a)); });
        }
        else {
            this.f.u("change");
        }
    };
    Rating.prototype.hoverChanged = function () {
        var _this = this;
        if (this.hover != null) {
            this.f.r("hover", function (a) { return _this.hover(_this, NumberEventArgs.a(a)); });
        }
        else {
            this.f.u("hover");
        }
    };
    Rating.prototype.ac = function (a) {
        if (a === void 0) {
            a = -1;
        }
        this.nativeElement.stepUp(this.f.i(a));
    };
    Rating.prototype.ab = function (a) {
        if (a === void 0) {
            a = -1;
        }
        this.nativeElement.stepDown(this.f.i(a));
    };
    Rating.prototype.y = function () {
        this.nativeElement.reportValidity();
    };
    Rating.prototype.w = function () {
        this.nativeElement.checkValidity();
    };
    Rating.prototype.z = function (a) {
        this.nativeElement.setCustomValidity(this.f.i(a));
    };
    Rating.$t = markType(Rating, 'Rating', BaseElement.$);
    Rating.__marshalByValueIgnore = ["readonly"];
    return Rating;
}(BaseElement));
export { Rating };
