import { MaskInputBase } from "./MaskInputBase";
import { Type } from "igniteui-react-core";
import { DatePartDeltas } from "./DatePartDeltas";
import { ComponentDateValueChangedEventArgs } from "./ComponentDateValueChangedEventArgs";
import { DatePart } from "./DatePart";
/**
 * @hidden
 */
export declare class DateTimeInput extends MaskInputBase {
    static $t: Type;
    get ar(): string;
    set ar(a: string);
    get ap(): Date;
    set ap(a: Date);
    get an(): Date;
    set an(a: Date);
    get al(): Date;
    set al(a: Date);
    get ao(): Date;
    set ao(a: Date);
    get am(): Date;
    set am(a: Date);
    get aq(): string;
    set aq(a: string);
    get aj(): DatePartDeltas;
    set aj(a: DatePartDeltas);
    get ak(): boolean;
    set ak(a: boolean);
    get as(): string;
    set as(a: string);
    change: (sender: any, args: ComponentDateValueChangedEventArgs) => void;
    changeChanged(): void;
    av(): void;
    ax(a: DatePart, b?: number): void;
    aw(a: DatePart, b?: number): void;
    au(): void;
}
