import { BaseComboBoxLike } from "./BaseComboBoxLike";
import { DropdownPlacement } from "./DropdownPlacement";
import { Type } from "igniteui-react-core";
import { DropdownPositionStrategy } from "./DropdownPositionStrategy";
import { DropdownScrollStrategy } from "./DropdownScrollStrategy";
import { DropdownItem } from "./DropdownItem";
import { DropdownGroup } from "./DropdownGroup";
import { SizableComponentSize } from "./SizableComponentSize";
import { VoidEventArgs } from "./VoidEventArgs";
import { DropdownItemComponentEventArgs } from "./DropdownItemComponentEventArgs";
/**
 * @hidden
 */
export declare class Dropdown extends BaseComboBoxLike {
    static $t: Type;
    showTarget(target_: any): void;
    toggleTarget(target_: any): void;
    o(a: any): DropdownItem;
    p(a: any): DropdownItem;
    get s(): DropdownPlacement;
    set s(a: DropdownPlacement);
    get t(): DropdownPositionStrategy;
    set t(a: DropdownPositionStrategy);
    get u(): DropdownScrollStrategy;
    set u(a: DropdownScrollStrategy);
    get aa(): boolean;
    set aa(a: boolean);
    get ac(): number;
    set ac(a: number);
    get ab(): boolean;
    set ab(a: boolean);
    get n(): DropdownItem[];
    get m(): DropdownGroup[];
    get q(): DropdownItem;
    get v(): SizableComponentSize;
    set v(a: SizableComponentSize);
    opening: (sender: any, args: VoidEventArgs) => void;
    openingChanged(): void;
    opened: (sender: any, args: VoidEventArgs) => void;
    openedChanged(): void;
    closing: (sender: any, args: VoidEventArgs) => void;
    closingChanged(): void;
    closed: (sender: any, args: VoidEventArgs) => void;
    closedChanged(): void;
    change: (sender: any, args: DropdownItemComponentEventArgs) => void;
    changeChanged(): void;
    ah(): void;
    ae(): void;
}
