import { BaseComboBoxLike } from "./BaseComboBoxLike";
import { Type } from "igniteui-react-core";
import { DropdownPlacement } from "./DropdownPlacement";
import { SelectScrollStrategy } from "./SelectScrollStrategy";
import { SelectItem } from "./SelectItem";
import { SelectGroup } from "./SelectGroup";
import { SelectItemComponentEventArgs } from "./SelectItemComponentEventArgs";
import { VoidEventArgs } from "./VoidEventArgs";
import { FocusOptions } from "./FocusOptions";
/**
 * @hidden
 */
export declare class Select extends BaseComboBoxLike {
    static $t: Type;
    get ah(): string;
    set ah(a: string);
    get ab(): boolean;
    set ab(a: boolean);
    get y(): boolean;
    set y(a: boolean);
    get ad(): number;
    set ad(a: number);
    get ae(): string;
    set ae(a: string);
    get ag(): string;
    set ag(a: string);
    get o(): DropdownPlacement;
    set o(a: DropdownPlacement);
    get r(): SelectScrollStrategy;
    set r(a: SelectScrollStrategy);
    get n(): SelectItem[];
    get m(): SelectGroup[];
    get p(): SelectItem;
    get z(): boolean;
    set z(a: boolean);
    get ac(): boolean;
    set ac(a: boolean);
    get af(): string;
    set af(a: string);
    get aa(): boolean;
    set aa(a: boolean);
    change: (sender: any, args: SelectItemComponentEventArgs) => void;
    changeChanged(): void;
    blur: (sender: any, args: VoidEventArgs) => void;
    blurChanged(): void;
    focus: (sender: any, args: VoidEventArgs) => void;
    focusChanged(): void;
    opening: (sender: any, args: VoidEventArgs) => void;
    openingChanged(): void;
    opened: (sender: any, args: VoidEventArgs) => void;
    openedChanged(): void;
    closing: (sender: any, args: VoidEventArgs) => void;
    closingChanged(): void;
    closed: (sender: any, args: VoidEventArgs) => void;
    closedChanged(): void;
    aq(a: FocusOptions): void;
    aj(): void;
    at(): void;
    am(): void;
    al(): void;
    au(a: string): void;
}
